Subject: =?UTF-8?Q?Re:_bug#17897:_24.4.50; _Customize_face-font-family-alternative?=s could lead to emacs crash

From: "Kan-Ru Chen" <[email-masked]>
Date: Wed, 07 Aug 2019 07:18:24 +0900

Hi,

On Sun, Aug 4, 2019, at 5:57 AM, Lars Ingebrigtsen wrote:
> Kan-Ru Chen (陳侃如) <[email-masked]> writes:
> 
> > Run following command could crash emacs:
> >
> > cat <<END > test.el
> >     (progn (custom-set-variables
> >       '(face-font-family-alternatives
> >         '(("Monospace" "courier" "fixed")
> >           ("courier" "CMU Typewriter Text" "fixed")
> >           ("Sans Serif" "helv" "helvetica" "arial" "fixed")
> >           ("helv" "helvetica" "arial" "fixed"))))
> >        (char-displayable-p 215))
> > END
> > emacs -Q --load test.el
> >
> > The face-font-family-alternatives value is taken from the default value.
> >
> > `bt full` and `xbacktrace` attached.
> 
> (I'm going through old bug reports that unfortunately have not received
> any responses yet.)
> 
> I'm unable to reproduce this bug in Emacs 27.  Are you still seeing it?

I'm unable to reproduce this bug in Emacs 26 either.

Kanru